Package org.eclipse.mat.hprof.acquire

# Class JmapVmInfo

java.lang.Object
org.eclipse.mat.snapshot.acquire.VmInfo
org.eclipse.mat.hprof.acquire.JmapVmInfo

public class JmapVmInfo extends VmInfo

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`chunked`
`boolean`
`compress`
`File`
`jdkHome`
`boolean`
`live`

## Constructor Summary

Constructors
Constructor
Description
`JmapVmInfo(int pid, String description, boolean heapDumpEnabled, String proposedFileName, IHeapDumpProvider heapDumpProvider)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProposedFileName()`
Returns a proposed file name under which the heap dump should be saved, e.g.
`void`
`setProposedFileName(String proposedFileName)`
Set the proposed file name for this process

### Methods inherited from class org.eclipse.mat.snapshot.acquire.VmInfo

`getDescription, getHeapDumpProvider, getPid, isHeapDumpEnabled, setDescription, setHeapDumpEnabled, setHeapDumpProvider, setPid, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### jdkHome

public File jdkHome

### compress

public boolean compress

### chunked

public boolean chunked

### live

public boolean live

## Constructor Details

### JmapVmInfo

public JmapVmInfo(int pid, String description, boolean heapDumpEnabled, String proposedFileName, IHeapDumpProvider heapDumpProvider)

## Method Details

### getProposedFileName

public String getProposedFileName()
Description copied from class: `VmInfo`
Returns a proposed file name under which the heap dump should be saved, e.g. java_pid%pid%.hprof for HPROF files or a file name template subject to substitution using `MessageUtil.format(java.lang.String, java.lang.Object...)` with three parameters, `Date` date, int pid, int index For example: mydumpname.{0,date,yyyyMMdd.HHmmss}.{1,number,0}.{2,number,0000}.dmp

Overrides:
  `getProposedFileName` in class `VmInfo`
Returns:
  a suggested file name template

### setProposedFileName

public void setProposedFileName(String proposedFileName)
Description copied from class: `VmInfo`
Set the proposed file name for this process

Overrides:
  `setProposedFileName` in class `VmInfo`